source: archive/poppler-014.xml

trunk
Last change on this file was 45ab6c7, checked in by Xi Ruoyao <xry111@…>, 4 months ago

more SVN prop clean up

Remove "$LastChanged$" everywhere, and also some unused $Date$

  • Property mode set to 100644
File size: 8.8 KB
Line 
1<?xml version="1.0" encoding="ISO-8859-1"?>
2<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
3 "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
4 <!ENTITY % general-entities SYSTEM "../../general.ent">
5 %general-entities;
6
7 <!ENTITY poppler-014-download-http "http://poppler.freedesktop.org/poppler-&poppler-014-version;.tar.gz">
8 <!ENTITY poppler-014-download-ftp " ">
9 <!ENTITY poppler-014-md5sum "a40fe96e1115f648ce4689e667743530">
10 <!ENTITY poppler-014-size "1.7 MB">
11 <!-- these figures were for 6.7 with "most dependencies except Qt - that probably meant
12 without qt4, so leaving as best estimate -->
13 <!ENTITY poppler-014-buildsize "137 MB">
14 <!ENTITY poppler-014-time "1.3 SBU">
15]>
16
17<sect1 id="poppler-014" xreflabel="Poppler-&poppler-014-version;">
18 <?dbhtml filename="poppler-014.html"?>
19
20 <sect1info>
21 <date>$Date$</date>
22 </sect1info>
23
24 <title>Poppler-&poppler-014-version;</title>
25
26 <indexterm zone="poppler-014">
27 <primary sortas="a-Poppler-014">Poppler</primary>
28 </indexterm>
29
30 <sect2 role="package">
31 <title>Introduction to Poppler</title>
32
33 <para>The <application>Poppler</application> package contains a PDF
34 rendering library and command line tools used to manipulate PDF files.
35 This is useful for providing PDF rendering functionality as a shared
36 library.</para>
37
38 <para>This old version is usable by <xref linkend="kdegraphics"/>. If you are not
39 building that package, please use <xref linkend="poppler"/>. The two versions of
40 <application>poppler</application> install similar programs, libraries, and
41 pkgconfig files.</para>
42
43 &lfs67_checked;
44
45 <bridgehead renderas="sect3">Package Information</bridgehead>
46 <itemizedlist spacing="compact">
47 <listitem>
48 <para>Download (HTTP): <ulink url="&poppler-014-download-http;"/></para>
49 </listitem>
50 <listitem>
51 <para>Download (FTP): <ulink url="&poppler-014-download-ftp;"/></para>
52 </listitem>
53 <listitem>
54 <para>Download MD5 sum: &poppler-014-md5sum;</para>
55 </listitem>
56 <listitem>
57 <para>Download size: &poppler-014-size;</para>
58 </listitem>
59 <listitem>
60 <para>Estimated disk space required: &poppler-014-buildsize;</para>
61 </listitem>
62 <listitem>
63 <para>Estimated build time: &poppler-014-time;</para>
64 </listitem>
65 </itemizedlist>
66
67 <bridgehead renderas="sect3">Poppler Dependencies</bridgehead>
68
69 <bridgehead renderas="sect4">Required</bridgehead>
70 <para role="required"><xref linkend="fontconfig"/>,
71 <xref linkend="pkgconfig"/>, and
72 <xref linkend="qt"/> (so that the
73 <filename class='libraryfile'>libpoppler-qt</filename> library is built)</para>
74
75 <bridgehead renderas="sect4">Recommended</bridgehead>
76 <para role="recommended"><xref linkend="libjpeg"/>, <xref linkend="cairo"/>,
77 and <ulink url="http://www.openjpeg.org">OpenJPEG</ulink>
78 </para>
79
80 <bridgehead renderas="sect4">Optional</bridgehead>
81 <para role="optional"><xref linkend="gtk2"/>,
82 <xref linkend="qt4"/>,
83 <xref linkend="curl"/>,
84 <xref linkend="libxml2"/>, and
85 <xref linkend="lcms"/></para>
86
87 <para condition="html" role="usernotes">User Notes:
88 <ulink url="&blfs-wiki;/poppler-014"/></para>
89
90 </sect2>
91
92 <sect2 role="installation">
93 <title>Installation of Poppler</title>
94
95 <caution>
96 <para><application>Poppler</application> will overwrite command-line
97 utilities and man pages previously installed by the
98 <application>Xpdf</application> package. If you prefer to keep the
99 <application>Xpdf</application> versions of these files, pass the
100 <option>--disable-utils</option> parameter to the
101 <command>configure</command> command below.</para>
102 </caution>
103
104<screen><userinput>./configure --prefix=/usr \
105 --sysconfdir=/etc &amp;&amp;
106make</userinput></screen>
107
108 <para>This package does not come with a test suite.</para>
109
110 <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
111
112<screen role="root"><userinput>make install &amp;&amp;
113install -v -m755 -d /usr/share/doc/poppler-&poppler-014-version; &amp;&amp;
114install -v -m644 README* /usr/share/doc/poppler-&poppler-014-version;</userinput></screen>
115
116 <para>If you wish to download and install the optional encoding files to
117 render CJK and Cyrillic properly, please follow the instructions for the Additional
118 Encoding Data on the <xref linkend="poppler"/> page - this version of
119 <application>poppler</application> will automatically read them if they are
120 present when it runs.</para>
121
122 </sect2>
123
124 <sect2 role="commands">
125 <title>Command Explanations</title>
126
127 <!-- This is discouraged by the authors. There is built-in decompression
128 and zlib is not needed
129 <para><parameter>-enable-zlib</parameter>: This parameter forces the build
130 to link with the system-installed
131 <filename class='libraryfile'>libz</filename> library to enable compressed
132 PDF functionality.</para> -->
133
134 <para><parameter>--disable-cairo-output</parameter>: This parameter
135 disables building the <application>cairo</application> graphics backend.</para>
136
137 <para><parameter>--disable-poppler-glib</parameter> and
138 <parameter>--disable-gtk-test</parameter>: These parameters disable
139 building the <application>GLib</application> wrapper and
140 <application>GTK+</application> test program.</para>
141
142 <para><parameter>--disable-static</parameter>: Prevent static libraries
143 being built and installed.</para>
144
145 <para><parameter>--enable-xpdf-headers</parameter>: Install old
146 <application>Xpdf</application> headers required by certain programs. These
147 are unsupported by <application>Poppler</application>.</para>
148
149 </sect2>
150
151 <sect2 role="content">
152 <title>Contents</title>
153
154 <segmentedlist>
155 <segtitle>Installed Programs</segtitle>
156 <segtitle>Installed Libraries</segtitle>
157 <segtitle>Installed Directories</segtitle>
158
159 <seglistitem>
160 <seg><xref linkend="xpdf-content"/> for the pdf* programs</seg>
161 <seg>libpoppler.{so,a}, libpoppler-cpp.{so,a}, libpoppler-glib.{so,a}, libpoppler-qt.{so,a}
162 and libpoppler-qt4.{so,a}</seg>
163 <seg>/usr/include/poppler, /usr/share/doc/poppler-&poppler-version;,
164 /usr/share/gtk-doc/html/poppler and /usr/share/poppler</seg>
165 </seglistitem>
166 </segmentedlist>
167
168 <variablelist>
169 <bridgehead renderas="sect3">Short Descriptions</bridgehead>
170 <?dbfo list-presentation="list"?>
171 <?dbhtml list-presentation="table"?>
172
173 <varlistentry id="libpoppler-014">
174 <term><filename class='libraryfile'>libpoppler.{so,a}</filename></term>
175 <listitem>
176 <para>contains the API functions to render PDF files.</para>
177 <indexterm zone="poppler-014 libpoppler-014">
178 <primary sortas="c-libpoppler">libpoppler.{so,a}</primary>
179 </indexterm>
180 </listitem>
181 </varlistentry>
182
183 <varlistentry id="libpoppler-014-cpp">
184 <term><filename class='libraryfile'>libpoppler-cpp.{so,a}</filename></term>
185 <listitem>
186 <para>is a C++ backend for rendering PDF files.</para>
187 <indexterm zone="poppler-014 libpoppler-014-cpp">
188 <primary sortas="c-libpoppler-cpp">libpoppler-cpp.{so,a}</primary>
189 </indexterm>
190 </listitem>
191 </varlistentry>
192
193 <varlistentry id="libpoppler-014-glib">
194 <term><filename class='libraryfile'>libpoppler-glib.{so,a}</filename></term>
195 <listitem>
196 <para>is a wrapper library used to interface the PDF rendering
197 functions with <application>GTK+</application>.</para>
198 <indexterm zone="poppler-014 libpoppler-014-glib">
199 <primary sortas="c-libpoppler-glib">libpoppler-glib.{so,a}</primary>
200 </indexterm>
201 </listitem>
202 </varlistentry>
203
204 <varlistentry id="libpoppler-014-qt">
205 <term><filename class='libraryfile'>libpoppler-qt.{so,a}</filename></term>
206 <listitem>
207 <para>is a wrapper library used to interface the PDF rendering
208 functions with <application>Qt</application>.</para>
209 <indexterm zone="poppler-014 libpoppler-014-qt">
210 <primary sortas="c-libpoppler-qt">libpoppler-qt.{so,a}</primary>
211 </indexterm>
212 </listitem>
213 </varlistentry>
214
215 <varlistentry id="libpoppler-014-qt4">
216 <term><filename class='libraryfile'>libpoppler-qt4.{so,a}</filename></term>
217 <listitem>
218 <para>is a wrapper library used to interface the PDF rendering
219 functions with <application>Qt</application>-4.</para>
220 <indexterm zone="poppler-014 libpoppler-014-qt4">
221 <primary sortas="c-libpoppler-qt4">libpoppler-qt4.{so,a}</primary>
222 </indexterm>
223 </listitem>
224 </varlistentry>
225
226 </variablelist>
227
228 </sect2>
229
230</sect1>
Note: See TracBrowser for help on using the repository browser.